fcml-asm(1)

NAME
fcml-asm - single-line assembler

SYNOPSIS
fcml-asm [-abs] [-sib] [-rex] [-gas] [-asa<size>] [-osa<size>] -m<size> -ip <address> <instruction>

DESCRIPTION
fcml-asm is a single-line assembler for Intel iAPx86, IA-32 and EM64T CPUs, and compatible CPUs from other manufacturers.

It displays all possible encodings of the given assembly-language instruction.

OPTIONS
fcml-asm accepts the following options:

-abs
    Prefer absolute memory addressing where possible. This is particularly useful in 64-bit mode, for RIP addressing.

-sib
    Prefer encoding using a SIB byte (scale * index + base).

-rex
    Use a REX prefix even if it is optional.

-gas
    Use GNU Assembler dialect (also known as AT&T). The Intel dialect is used by default.

-asa<size>
    Specify the size of the address size attribute (16, 32 or 64 for respectively 16, 32 and 63 bits).

-osa<size>
    Specify the size of the operand size attribute (16, 32 or 64 for respectively 16, 32 and 63 bits).

-m<size>
    Specify the addressing mode (16, 32 or 64).

-ip <address>
    Specify the instruction pointer address (IP, EIP or RIP).

AUTHORS
fcml-asm was written by Slawomir Wojtasiak.

This manual page was written by Stephen Kitt <skitt@debian.org>, for the Debian GNU/Linux system (but may be used by others).